#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Info Center
Name:           kinfocenter
Version: 5.8.6
Epoch:          2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://download.kde.org/unstable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:         kinfocenter-5.7.3-fix-plasmaversion.patch
Patch1:         kinfocenter-5.8.0-set-customizable-logo-to-128px.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  ki18n-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kconfig-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  knotifications-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  khtml-devel
BuildRequires:  kpackage-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kcmutils-devel
BuildRequires:  cmake(KF5Wayland)

BuildRequires:  pkgconfig(libraw1394)
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(glu)
BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
KDE Info Center.

%files -f %{name}5.lang
%_kf5_sysconfdir/xdg/menus/kinfocenter.menu
%_kf5_bindir/kinfocenter
%_qt5_plugindir/*
%_kf5_applicationsdir/org.kde.kinfocenter.desktop
%_kf5_datadir/desktop-directories/kinfocenter.directory
%_kf5_datadir/kcmusb/usb.ids
%_kf5_datadir/kpackage/kcms/kcm_energyinfo
%_kf5_services/*
%_kf5_servicetypes/kinfocentercategory.desktop
%_kf5_datadir/kxmlgui5/kinfocenter/kinfocenterui.rc
%_kf5_datadir/kpackage/kcms/kcm_fileindexermonitor
%_kf5_datadir/kcmview1394/oui.db

#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
BuildArch: noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/kinfocenter

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build

%install
%make_install -C build
%find_lang --all %{name}5



%changelog
* Mon Mar 06 2017 neoclust <neoclust> 2:5.8.6-1.mga6
+ Revision: 1089023
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 2:5.8.5-1.mga6
+ Revision: 1078158
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 2:5.8.4-1.mga6
+ Revision: 1070715
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 2:5.8.3-2.mga6
+ Revision: 1065118
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 2:5.8.3-1.mga6
+ Revision: 1064475
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 2:5.8.2-1.mga6
+ Revision: 1063046
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 2:5.8.1-1.mga6
+ Revision: 1060271
- New version 5.8.1

* Sat Oct 08 2016 daviddavid <daviddavid> 2:5.8.0-2.mga6
+ Revision: 1059661
- add patch to set the customizable logo to 128px

* Thu Sep 29 2016 neoclust <neoclust> 2:5.8.0-1.mga6
+ Revision: 1057597
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 2:5.7.95-1.mga6
+ Revision: 1053053
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 2:5.7.5-1.mga6
+ Revision: 1052680
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 2:5.7.4-1.mga6
+ Revision: 1048341
- New version 5.7.4

* Wed Aug 24 2016 neoclust <neoclust> 2:5.7.3-3.mga6
+ Revision: 1048098
- Fix display of plasma version

* Tue Aug 23 2016 daviddavid <daviddavid> 2:5.7.3-2.mga6
+ Revision: 1047974
- enable Wayland support
- enable PciUtils and OpenGL support

* Tue Aug 02 2016 neoclust <neoclust> 2:5.7.3-1.mga6
+ Revision: 1044266
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 2:5.7.2-1.mga6
+ Revision: 1042554
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 2:5.7.1-1.mga6
+ Revision: 1041391
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 2:5.7.0-1.mga6
+ Revision: 1039497
- New version 5.7.0

* Tue Jul 05 2016 tmb <tmb> 2:5.6.5-1.mga6
+ Revision: 1038830
- BR: pkgconfig(libraw1394)

  + neoclust <neoclust>
    - New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 2:5.6.4-1.mga6
+ Revision: 1014535
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 2:5.6.3-1.mga6
+ Revision: 1009272
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 2:5.6.2-1.mga6
+ Revision: 999256
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 2:5.6.1-1.mga6
+ Revision: 998011
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 2:5.6.0-1.mga6
+ Revision: 994386
- New version 5.6.0
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 2:5.5.95-1.mga6
+ Revision: 983739
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 2:5.5.4-1.mga6
+ Revision: 927966
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 2:5.5.3-1.mga6
+ Revision: 922503
- New version 5.5.3

* Sun Dec 27 2015 neoclust <neoclust> 2:5.5.2-2.mga6
+ Revision: 915823
- Rebuild against new cmake to have cmake() provides

* Fri Dec 25 2015 neoclust <neoclust> 2:5.5.2-1.mga6
+ Revision: 914839
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 2:5.5.1-2.mga6
+ Revision: 913596
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 2:5.5.1-1.mga6
+ Revision: 910684
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 2:5.5.0-1.mga6
+ Revision: 908845
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 2:5.4.95-1.mga6
+ Revision: 904398
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 2:5.4.90-2.mga6
+ Revision: 900843
- Rebuild against fixed qtbase5
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 2:5.4.2-1.mga6
+ Revision: 889513
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 2:5.4.1-1.mga6
+ Revision: 874728
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 2:5.4.0-1.mga6
+ Revision: 869644
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 2:5.3.95-1.mga6
+ Revision: 862535
- New version 5.3.95

* Sat Jul 18 2015 neoclust <neoclust> 2:5.3.2-1.mga6
+ Revision: 854999
- imported package kinfocenter

